package compbio.listeners;

import java.io.IOException;
import java.util.Calendar;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import compbio.statistic.CassandraRequester;

/**
 * Servlet implementation class LengthServlet
 */
@WebServlet("/ServletTimeExecution")
public class ServletTimeExecution extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		final long startTime = System.currentTimeMillis();
		String date1 = request.getParameter("data1");
		String date2 = request.getParameter("data2");
		CassandraRequester sp = new CassandraRequester();
		if (null != request.getParameter("option")) {
			Calendar cal = Calendar.getInstance();
	//		date1 = CassandraRequester.DateFormatYYMMDD(sp.earliestDate());
			date2 = cal.get(Calendar.YEAR) + "/" + (cal.get(Calendar.MONTH) + 1) + "/" + cal.get(Calendar.DAY_OF_MONTH);
		}
		request.setAttribute("data1", date1);
		request.setAttribute("data2", date2);
	//	request.setAttribute("result", sp.extractExecutionTime(date1, date2));
		request.setAttribute("flag", request.getParameter("option"));
		final long endTime = System.currentTimeMillis();
		request.setAttribute("timeExecution", (endTime - startTime));
		RequestDispatcher rd = request.getRequestDispatcher("/ReportTimeExecution.jsp");
		rd.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}
}
